Querying for exchange rate sets
Use one of the following endpoints to query for foreign exchange rate sets:
- GET
/admin/v1/foreign-exchange-rate-sets - GET
/admin/v1/foreign-exchange-rate-sets/{foreignExchangeRateSetId}
For example, the following query returns a list of foreign exchange rate sets:
Command
GET /admin/v1/foreign-exchange-rate-setsResponse
Payload
{
"count": 5,
"data": [
{
"attributes": {
"baseCurrency": {
"code": "usd",
"name": "USD"
},
"displayName": "FXExchangeRateSet pc:SGOPO9AmxeRXOjSJHuBfO",
"effectiveDate": "2024-07-20",
"expirationDate": "2024-07-27",
"foreignExchangeRates": [
{
"baseCurrency": {
"code": "usd",
"name": "USD"
},
"displayName": "FXExchangeRate pc:Sx3DMTkivyYEuSOUoUKxc",
"id": "pc:Sx3DMTkivyYEuSOUoUKxc",
"priceCurrency": {
"code": "eur",
"name": "EUR"
},
"rate": "0.9382000000"
},
{
"baseCurrency": {
"code": "usd",
"name": "USD"
},
"displayName": "FXExchangeRate pc:SwUEmHRcXdoZkXIMFMIbG",
"id": "pc:SwUEmHRcXdoZkXIMFMIbG",
"priceCurrency": {
"code": "rub",
"name": "RUB"
},
"rate": "91.9020000000"
},
{
"baseCurrency": {
"code": "usd",
"name": "USD"
},
"displayName": "FXExchangeRate pc:SgLG92LKxx-uQC0vTWaoU",
"id": "pc:SgLG92LKxx-uQC0vTWaoU",
"priceCurrency": {
"code": "jpy",
"name": "JPY"
},
"rate": "150.6720000000"
}
],
"id": "pc:SGOPO9AmxeRXOjSJHuBfO",
"rateType": {
"code": "corporate",
"name": "Corporate"
}
},
"checksum": "89c1515c45da937ca3115f20f2a7e8ca",
"links": {
"self": {
"href": "/admin/v1/foreign-exchange-rate-sets/pc:SGOPO9AmxeRXOjSJHuBfO",
"methods": [
"get",
"patch"
]
}
}
},
{
"attributes": {
"baseCurrency": {
"code": "usd",
"name": "USD"
},
"displayName": "FXExchangeRateSet pc:S9f11R4dAHGLUPZq35pKT",
"effectiveDate": "2024-07-20",
"expirationDate": "2024-07-27",
"foreignExchangeRates": [
{
"baseCurrency": {
"code": "usd",
"name": "USD"
},
"displayName": "FXExchangeRate pc:Suc5ndv7UrzIwWe6KqypH",
"id": "pc:Suc5ndv7UrzIwWe6KqypH",
"priceCurrency": {
"code": "eur",
"name": "EUR"
},
"rate": "0.9382000000"
},
{
"baseCurrency": {
"code": "usd",
"name": "USD"
},
"displayName": "FXExchangeRate pc:SwASl-0WiK9E8D8lLMkXa",
"id": "pc:SwASl-0WiK9E8D8lLMkXa",
"priceCurrency": {
"code": "rub",
"name": "RUB"
},
"rate": "91.9020000000"
},
{
"baseCurrency": {
"code": "usd",
"name": "USD"
},
"displayName": "FXExchangeRate pc:S1fjfZdiL1NJDNjtrdTrf",
"id": "pc:S1fjfZdiL1NJDNjtrdTrf",
"priceCurrency": {
"code": "jpy",
"name": "JPY"
},
"rate": "150.6720000000"
}
],
"id": "pc:S9f11R4dAHGLUPZq35pKT",
"rateType": {
"code": "market",
"name": "Market"
}
},
"checksum": "72b214d39c33038836f024d6cd15601c",
"links": {
"self": {
"href": "/admin/v1/foreign-exchange-rate-sets/pc:S9f11R4dAHGLUPZq35pKT",
"methods": [
"get",
"patch"
]
}
}
},
...You can sort and filter the results by baseCurrency, effectiveDate, expirationDate, and rateType. For more information, see The sort query parameter and The filter query parameter.